
User Interface - Feature #2635

multi-window focus management

08/07/2015 04:43 AM - Constantin Asofiei

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Cleanup and Stabilization for GUI   

billable: No vendor_id: GCD

Description

Related issues:

Related to User Interface - Bug #2954: Focus is not put on the expected widge... Closed

History

#1 - 08/07/2015 04:45 AM - Constantin Asofiei

When there are multiple windows and each one with multiple enabled widgets, the focus management is not properly handled by P2J.  In 4GL, when

switching focus between windows, the window-level focused widget does not get changed, when focus is re-gained by the window - the window's

focused widget remains unchanged.

A theory at this time is: what if each 4GL window has its own focus management?

Also, this should test window-level focus enter/leave events.

#2 - 03/23/2016 04:24 PM - Greg Shah

- Target version changed from Milestone 12 to Milestone 16

#3 - 11/16/2016 12:23 PM - Greg Shah

- Target version changed from Milestone 16 to Cleanup and Stabilization for GUI
